#include "stdio.h"
#include "stdlib.h"
#include "string.h"
#include "eic.h"
#include "unistd.h"

#define str(x)  #x
#define xstr(x) str(x)

void stdClib(void);
void dodefine(char *def);
int insertpath(char *path);

int  main(int argc, char ** argv)
{
    char * home;
    char buf[256];

    init_EiC();

    /* the macro PLATFORM 
     * is passed in by the 
     * compiler
     */

    dodefine("_EiC");
    dodefine(&(xstr(PLATFORM)[1]));

    home = getenv("HOMEofEiC");
   
    if(!home) /* check for /usr/local/EiC */
	if(access("/usr/local/EiC",R_OK) == 0)
	    home = "/usr/local/EiC";
    if(home) {
        strcpy(buf,home);
        strcat(buf,"/include");
        insertpath(buf);

        strcpy(buf,home);
        strcat(buf,"/module");
        insertpath(buf);

        strcpy(buf,home);
        strcat(buf,"/module/cgihtml");
        insertpath(buf);
	
    } 
    
    /* addin the standard C library */
    stdClib();

    startEiC(argc, argv);
    return 0;
}






